View Issue Details

IDProjectCategoryLast Update
0000999HellionBug2019-04-12 11:47
ReporterYozheekAssigned To 
PrioritynormalReproducibilityhave not tried 
Status acknowledged 
Product Version0.4.0 
Target VersionFixed in Version 
Summary0000999: The old degradation system of modules still working in parallel with new one
Description

Airlock, Fabricator, SPM and Steropes still degrades exactly as before Exposure update even with Nanite Core installed.
Outpost do not degrades with default 3-tier nanite core installed, but after nanite core changing Outpost began to degrade also.
As you can see on the attached screenshot - HP of modules are below 100%, but all of them was fully repaired 2 or 3 hours ago. Status of Nanite cores also seen on the screen. And my station is on very high orbit around Bethyr - so the radiation level is only 1HP/s. All of this is on EU East #1 server and some people from server also confirm this problem.

TagsNo tags attached.

Relationships

has duplicate 0001039 closed Nanite Cors not working 

Activities

Yozheek

Yozheek

2019-03-14 21:43

reporter  

screen.png (683,955 bytes)
screen.png (683,955 bytes)
SXyGeeK

SXyGeeK

2019-03-15 16:52

reporter   ~0001909

I have not been able to reproduce this on a private server that had a clean install for 4.0
are there other public servers with this issue?
are there other private servers with this issue?

Yozheek

Yozheek

2019-03-15 19:23

reporter   ~0001912

I didn't check it myself but now did a quick poll on all EU East servers. And players from all polled servers confirm that the degradation of the modules is slow but goes always, despite the presence of nanite cores, whose armor value is obviously higher than radiation value

Ziggy

Ziggy

2019-03-17 10:25

administrator   ~0001915

Last edited: 2019-03-19 09:40

View 2 revisions

19/03/19
I confirm damage at Eridil after an overnight test. With new T2 cores, modules took substantial damage on a high orbit of Eridil. This cannot be due to distance because the orbit is polar and the distance to Hellion less than the outer point of Eridil's moon.

(Original comment below)

I cannot confirm this with anyone in the testing squad. The only degradation we have seen, or heard of, is collision damage. There will still be degradation if you collide with your base/modules.

There is also a small amount of degradation when you swap Nanite cores. Arguably this should not happen. But 1% damage happens almost instantly when you replace one core with another.

One thing I will test on the current exp build is this:
Are new/replacement Nanite cores correctly recognised when swapping using the proximity/Inventory menu.

Doubleumc

Doubleumc

2019-03-17 18:18

reporter  

20190316121419_1.jpg (324,925 bytes)
20190316121419_1.jpg (324,925 bytes)
20190316121423_1.jpg (324,028 bytes)
20190316121423_1.jpg (324,028 bytes)
20190316121446_1.jpg (277,965 bytes)
20190316121446_1.jpg (277,965 bytes)
20190316121515_1.jpg (269,867 bytes)
20190316121515_1.jpg (269,867 bytes)
Doubleumc

Doubleumc

2019-03-17 18:18

reporter   ~0001916

I am experiencing module degradation much like what Yozheek described. This is in multiplayer on the US East #4 server, around Bethyr without any debris fields.

First, I replaced all my station cores with fresh ones and ensured all modules were at 100% health. Screenshots 1-2 are of the life support overview, 3-5 are of the individual cores.

One day later I returned to check on the station. All modules had taken approximately 3% damage during those 24 hours. This was while only in a 1/s rad field, no debris, and with 2 armor. Screenshots 6-7 are of the life support overview, 8-10 are the individual cores.

If it matters, station is at 0.5 pressure and the Fab & Cargo modules were unpowered during the absence.



20190316121531_1.jpg (244,312 bytes)
20190316121531_1.jpg (244,312 bytes)
20190317130511_1.jpg (328,561 bytes)
20190317130511_1.jpg (328,561 bytes)
20190317130515_1.jpg (329,953 bytes)
20190317130515_1.jpg (329,953 bytes)
20190317130602_1.jpg (274,964 bytes)
20190317130602_1.jpg (274,964 bytes)
20190317130624_1.jpg (272,394 bytes)
20190317130624_1.jpg (272,394 bytes)
20190317130637_1.jpg (243,084 bytes)
20190317130637_1.jpg (243,084 bytes)
Yozheek

Yozheek

2019-03-17 19:49

reporter   ~0001917

There are new data.

Yesterday I repair all modules and changed some cores just before exit.
Now after about 20 hours left we can see the following:

  1. modules with armor 5 and 13 has not degraded at all
    .
  2. all modules with armor 2 has degraded on fixed amount 0000171:0000260 HP, and for SPM, for example, it is more than 17% and already has led to fire.
    So the problem may be not concern with old degradation system but instead with incorrect radiation values or armor counting.
    On last screnshot you can asure that orbit is far from any debris fields and radiation value 1 HP/s should be completely negated by Tier 1 Nanite cores, but it does not.


Yozheek

Yozheek

2019-03-17 19:49

reporter  

Shomy

Shomy

2019-03-18 16:15

administrator   ~0001932

Hey, guys we are looking into this, there might be a difference in damage since the way it was set is not by planet it's set by distance, so it is possible that high orbit of Bethyr has more than 2 damage which explains why you are getting damage there with tier 1 nanite core and with higher tier you are not getting damaged. We will adjust the distance so this will be fixed.

Doubleumc

Doubleumc

2019-03-19 00:21

reporter  

20190318183523_1.jpg (302,326 bytes)
20190318183523_1.jpg (302,326 bytes)
20190318183530_1.jpg (305,260 bytes)
20190318183530_1.jpg (305,260 bytes)
20190318184119_1.jpg (266,378 bytes)
20190318184119_1.jpg (266,378 bytes)
Doubleumc

Doubleumc

2019-03-19 00:21

reporter   ~0001937

Did not repair modules since the start of this and saw a significant difference in their health today. The Haven specifically suffered over 30% damage, solar panel failure, and a hull breach, with the Steropes missing entirely, presumed destroyed. The Haven was also the only module whose nanite core's max durability was bugged.

SS 1-2 is life support overview. SS 3-5 is nanite core of Fab, Haven, and Cargo respectively. SS 6 is orbit for reference. This station is within the orbit of Everest Station, never saw the display indicate anything other than 1.0 hp/s.



20190318184141_1.jpg (255,336 bytes)
20190318184141_1.jpg (255,336 bytes)
20190318184156_1.jpg (245,563 bytes)
20190318184156_1.jpg (245,563 bytes)
Ziggy

Ziggy

2019-03-19 09:42

administrator   ~0001938

See my earlier post above. Heavy damage overnight in this orbit of Eridil with 100% T2 nanite cores.



20190319082743_1.jpg (186,874 bytes)
20190319082743_1.jpg (186,874 bytes)
Yozheek

Yozheek

2019-03-21 15:56

reporter   ~0001958

Bug is still present in 0.4.1

Yozheek

Yozheek

2019-03-22 16:56

reporter   ~0001962

It is even much worse after yesterday hotfix.
I was absent in game only 12 hours and all modules was at 100% before exit, and you can see the situation now on screenshots below.
Pay your attention that armor on all modules at least 5 and I am still on the same orbit around Bethyr. Even Mule with armor 13 !!! was degraded.

All modules was degraded on the same fixed amount ~ 360 HP and it is even worse then before Exposure update.



Yozheek

Yozheek

2019-03-23 03:03

reporter   ~0001967

It is even more strange than I thought before.
Another 9 hours after my last post and none of the modules degrades now. It is heisenbug.

Doubleumc

Doubleumc

2019-03-23 16:54

reporter   ~0001968

I have experienced the decay with T1 cores (2 armor), but at the same time modules with T2 cores (5 armor) take no damage. That is perhaps what you are seeing.

Issue History

Date Modified Username Field Change
2019-03-14 21:43 Yozheek New Issue
2019-03-14 21:43 Yozheek File Added: screen.png
2019-03-15 16:52 SXyGeeK Note Added: 0001909
2019-03-15 19:23 Yozheek Note Added: 0001912
2019-03-17 10:25 Ziggy Note Added: 0001915
2019-03-17 18:18 Doubleumc File Added: 20190316121419_1.jpg
2019-03-17 18:18 Doubleumc File Added: 20190316121423_1.jpg
2019-03-17 18:18 Doubleumc File Added: 20190316121446_1.jpg
2019-03-17 18:18 Doubleumc File Added: 20190316121515_1.jpg
2019-03-17 18:18 Doubleumc File Added: 20190316121531_1.jpg
2019-03-17 18:18 Doubleumc File Added: 20190317130511_1.jpg
2019-03-17 18:18 Doubleumc File Added: 20190317130515_1.jpg
2019-03-17 18:18 Doubleumc File Added: 20190317130602_1.jpg
2019-03-17 18:18 Doubleumc File Added: 20190317130624_1.jpg
2019-03-17 18:18 Doubleumc File Added: 20190317130637_1.jpg
2019-03-17 18:18 Doubleumc Note Added: 0001916
2019-03-17 19:49 Yozheek File Added: Hellion_2019_03_17_21_03_08_014.png
2019-03-17 19:49 Yozheek File Added: Hellion_2019_03_17_20_52_10_782.png
2019-03-17 19:49 Yozheek File Added: Hellion_2019_03_17_20_52_59_072.png
2019-03-17 19:49 Yozheek File Added: Hellion_2019_03_17_20_54_56_094.png
2019-03-17 19:49 Yozheek File Added: Hellion_2019_03_17_21_00_17_944.png
2019-03-17 19:49 Yozheek Note Added: 0001917
2019-03-17 19:49 Yozheek File Added: Hellion_2019_03_17_21_17_24_862.png
2019-03-18 16:15 Shomy Note Added: 0001932
2019-03-18 16:15 Shomy Status new => acknowledged
2019-03-19 00:21 Doubleumc File Added: 20190318183523_1.jpg
2019-03-19 00:21 Doubleumc File Added: 20190318183530_1.jpg
2019-03-19 00:21 Doubleumc File Added: 20190318184119_1.jpg
2019-03-19 00:21 Doubleumc File Added: 20190318184141_1.jpg
2019-03-19 00:21 Doubleumc File Added: 20190318184156_1.jpg
2019-03-19 00:21 Doubleumc File Added: 20190318184942_1 redacted.jpg
2019-03-19 00:21 Doubleumc Note Added: 0001937
2019-03-19 09:40 Ziggy Note Edited: 0001915 View Revisions
2019-03-19 09:42 Ziggy File Added: 20190319082743_1.jpg
2019-03-19 09:42 Ziggy Note Added: 0001938
2019-03-21 15:56 Yozheek Note Added: 0001958
2019-03-22 16:56 Yozheek File Added: Hellion_2019_03_22_18_21_33_431.png
2019-03-22 16:56 Yozheek File Added: Hellion_2019_03_22_18_21_43_883.png
2019-03-22 16:56 Yozheek File Added: Hellion_2019_03_22_18_21_58_046.png
2019-03-22 16:56 Yozheek Note Added: 0001962
2019-03-23 03:03 Yozheek Note Added: 0001967
2019-03-23 16:54 Doubleumc Note Added: 0001968
2019-04-12 11:47 Shomy Relationship added has duplicate 0001039